Bug 123224 - Would like the ability to choose a mirror for updates and auto choosing the fastest mirror
Would like the ability to choose a mirror for updates and auto choosing the f...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-13 18:53 EDT by Thomas Wolfe
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 18:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Wolfe 2004-05-13 18:53:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a)
Gecko/20040513 Firefox/0.8.0+

Description of problem:
I know Gentoo has something like this, it finds the fastest mirror
avaliable and automatically sets that as the server for updates. 
Sometimes I will be going to update and hit a few mirrors that are
slow as heck, it would be nice to be able to manually choose them or
have an option to find the fastest mirror.  Gentoo might just be
pinging the mirrors and seeing which responds the fastest (I think)
but they might measure it some other way.  Basically that would work
very well and might make the mirrors happier.

Just a suggestion, if you need more information let me know, thanks
for listening.

Version-Release number of selected component (if applicable):
up2date-4.3.18-2

How reproducible:
Didn't try


Additional info:
Comment 1 Adrian Likins 2004-05-27 18:31:10 EDT
if you add a file in /etc/sysconfig/rhn/up2date/mirrors
with the name being the name of the channel, and the contents
being a list of mirrors, it will use those mirrors instead
of picking them at random. 

The format is the same as the mirror lists fetched from
fedora.redhat.com. an example can be found at:

http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2
Comment 2 Matt Clapp 2005-01-10 20:23:10 EST
I think the reporter is requesting a more automated way of choosing
your mirrors, which is valid.

I'm pretty computer and unix savvy, and it took me a month or two to
figure out that one could help up2date find better mirrors than the
default.  But the procedure is a little arcane: wading through the
filesystem to find the up2date config. file location, and
finding/downloading the right mirror-list to put in that file.

What would be a great first approximation would be something at the
first use of up2date that asks you if you think a mirror-list from a
particular region would fit your circumstances better than the
default.  And the user could choose from a list of regions.  Which in
almost every situation would be true.

Note You need to log in before you can comment on or make changes to this bug.